# Pipeline
pipeline/.env

# Data
data/*
!data/.gitkeep

# Cropped faces
#cropped_classifier.zip
#cropped_generator.zip
cropped/*
!cropped/.gitkeep
!cropped/classifier/.gitkeep
!cropped/classifier/README.md
!cropped/generator/.gitkeep
!cropped/generator/README.md

# Classifier outputs
classifier/outputs/*
# Analysis
!classifier/outputs/analysis/
!classifier/outputs/analysis/**
# Figures
!classifier/outputs/figures/
!classifier/outputs/figures/**
# Models
!classifier/outputs/models/
classifier/outputs/models/*
!classifier/outputs/models/.gitkeep
!classifier/outputs/models/*.pt
# Logs
!classifier/outputs/logs/
classifier/outputs/logs/*
!classifier/outputs/logs/.gitkeep
!classifier/outputs/logs/*.json
# Pipeline
!classifier/outputs/pipeline/
classifier/outputs/pipeline/*
!classifier/outputs/pipeline/.gitkeep
!classifier/outputs/pipeline/*.json

# Generator outputs
generator/outputs/*
# Models
!generator/outputs/models
generator/outputs/models/*
!generator/outputs/models/.gitkeep
!generator/outputs/models/*.pt
# Logs
!generator/outputs/logs/
generator/outputs/logs/*
!generator/outputs/logs/.gitkeep
!generator/outputs/logs/*.json
# Pipeline
!generator/outputs/pipeline/
generator/outputs/pipeline/*
!generator/outputs/pipeline/.gitkeep
!generator/outputs/pipeline/*.json
# Samples
!generator/outputs/samples/
generator/outputs/samples/*
!generator/outputs/samples/.gitkeep
!generator/outputs/samples/**
!generator/outputs/samples/**/*.png

# Python
.venv/
.ipynb_checkpoints/
__pycache__/
